# Generated from amex2xero-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name amex2xero

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Converts a statement CSV exported from American Express to a bank statement CSV suitable for importing into Xero
License: MIT
URL: http://github.com/timrogers/amex2xero
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4.1
# BuildRequires: rubygem(rspec_junit_formatter) < 0.5
# BuildRequires: rubygem(rubocop) >= 0.75.0
# BuildRequires: rubygem(rubocop) < 0.76
BuildArch: noarch

%description
Converts a statement CSV exported from American Express to a bank statement
CSV suitable for importing into Xero.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/exe -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/amex2xero
%{gem_instdir}/.circleci
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/exe
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/amex2xero.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.1.1-1
- Initial package
